summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index a962b53f..700872e9 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -2,7 +2,7 @@
# Clean: shellcheck -e 2001 ./tcwg-benchmark.sh
-set -eux
+set -eu
scripts=$(dirname "$0")
# shellcheck source=jenkins-helpers.sh
@@ -55,9 +55,11 @@ declare -g \
bench_container_tag="${bench_container_tag-bionic}"
toolchain_type="${toolchain_type-auto}"
prepare_board="${prepare_board-true}"
+verbose="${verbose-true}"
-# shellcheck source=jenkins-helpers.sh
-. $scripts/jenkins-helpers.sh
+if $verbose; then
+ set -x
+fi
prepare_toolchain ()
{